/* ---------------------------- CHECKOUT PAGE------------------------------ */

.nav {
    visibility: hidden;
}

.checkout {
    display: flex;
    margin-left: 10vw;
    margin-right: 10vw;
    margin-top: 40px;
    margin-bottom: 3rem;
}

.checkout-heading h1{

    text-align: center;
    font-size: 1rem;
    font-weight: 500;
    height: 48px;
}

.checkout h2 {
    font-size: 13px;
    margin-bottom: 0;
}

.checkout h3 {
    margin-top: 2.5rem;
    margin-bottom: 1rem;
    font-size: 1rem;
    font-weight: 550;
}

.account-info {
    width: 50vw;
    margin-right: 5vw;
    margin-bottom: 3rem;
}


.checkout input {
    border: none;
    border-bottom: 1px solid gray;
    width: 100%;
    font-size: 1.1rem;
    margin-top: 5vh;
    padding: 1rem 0;
    outline: none;
}

.account-info select {
    background: white;
    width: 100%;
    border: none;
    font-size: 1rem;
}

.country p {
    margin-bottom: 3vh;
}

.country {
    border-bottom: 1px solid gray;
}


.billing-address input {
    width: 3vw;
}

.state-pin div {
    width: 48%;
}

.state-pin {
    display: flex;
    justify-content: space-evenly;
}



.payment-method {
    width: 50vw;
}

.expiry select {
    background: white;
    width: 8vw;
    border: none;
    font-size: 1rem;
    color: gray;
    margin-right: 2vw;
}

.expiry {
    font-size: 0.8rem;
    font-weight: 500;
}

.expiry h4 {
    margin-bottom: 0;
    padding-bottom: 0;
    font-weight: 500;
}

.payment-method h3 {
    margin: 1rem 0;
    font-weight: 550;
}

.expiry input {
    width: 14vw;
    margin-top: 0;
}



.order-summary {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5vh;
}

.bottom {
    margin-bottom: 20vh;
}

#place-order {
    width: 8rem;
    font-size: 14px;
}

/* --------------------------ANIMATION------------------------ */

.animation>div {
    position: relative;
}



.animation>div>label {
    position: absolute;
    bottom: 4px;
    left: 0;
    color: gray;
    font-size: 1.2rem;
    transition: 0.3s;
}

.animation>div input:focus {
    /* padding-bottom: 0; */
    margin-top: 26px;
    border-bottom: 1.5px solid black;

}

.animation>div input:focus+label {
    bottom: 1.5rem;
    color: black;
    font-size: 0.9rem;
    padding: 1rem 0;
}

.animation>div input:valid+label {
    bottom: 1.5rem;
    padding: 1rem 0;
    color: black;
    font-size: 0.9rem;
}



@media screen and (max-width: 768px) {
    .checkout {
        flex-direction: column;
        justify-content: space-between;
        margin-right: 1rem;
        margin-left: 1rem;
        width: 95vw;
    }

    .account-info {
        width: 95vw;
        margin-right: 1rem;
    }

    .payment-method {
        width: 95vw;

    }

    #place-order {
        position: fixed;
        bottom: 0vh;
        left: 0;
        right: 0;
        font-family: Arial, Helvetica, sans-serif;
        background-color: #172c50;
        border-color: white;
        color: white;
        width: 100vw;
        /* height: 10vh; */
        text-align: center;
        font-size: 1rem;
        padding: 4vw;
        margin: 0;
        border: 0px solid white;

    }

    .expiry select {
        margin-right: 5vw;
        width: 25vw;
    }
}